@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Julius+Sans+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&display=swap');

* {
    user-select: none;
}

body {
    overflow-x: hidden;
}





.__container_body_content {
    display: block;
    width: 100%;
    height: auto;

}


.__session_one_content {


    width: 100%;
    height: auto;
}

.__text_session_algiment {

    height: 100px;
    width: 100%;
}

.__text_style_h1 {

    height: 100px;
    display: flex;
    align-items: center;
    line-height: 30px;
    text-align: center;
    justify-content: center;
    width: 100%;

    font-family: "Quicksand", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    text-transform: capitalize;

    font-size: 25px;


    animation: titleAppear 1s ease-in-out;

}







@keyframes titleAppear {
    0% {
        opacity: 0;
        transform: translateY(30px);

    }

    60% {
        opacity: 1;
        transform: translateY(-5px);

    }

    100% {
        opacity: 1;
        transform: translateY(0);

    }
}



.__video_container_view {
    position: relative;
    width: 100%;
    height: 300px;

    overflow: hidden;

}



.__video_background {
    position: absolute;
    top: 50%;
    left: 50%;

    width: 100%;
    height: 100%;

    object-fit: cover;

    transform: translate(-50%, -50%);

    z-index: 1;
}



.__video_content {
    position: absolute;
    z-index: 10;

    height: 100%;
    width: 100%;

    background-color: rgba(8, 8, 8, 0.507);
}

.__inv_div_position {

    width: 100%;

}

.__description_container_content {

    width: 100%;
    height: 140px;
    display: flex;
    align-items: center;
    justify-content: center;

}

.__content_tend_description {
    display: flex;
    width: 80%;
    height: 70%;
    align-items: center;
    border-radius: 5px;
    justify-content: center;
    background-color: rgba(8, 8, 8, 0.726);

}

.__description_container_content p {
    width: 80%;
    line-height: 33px;

    color: white;
    text-align: justify;

}


.__img_container_width {

    width: 100%;
    height: 350px;
    display: flex;

    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}

.__division_img_container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    height: auto;
}

.imgu {

    width: 100px;
    height: 150px;
}

.__container_pin_test_animation {

    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;

}

.__block_pin_test_animation {

    width: 100%;
    height: 600px;

    background-image:
        linear-gradient(to right, rgba(0, 0, 0, 0.603), rgba(0, 0, 0, 0.568)),
        url('/assets/imgs/gallery_7.jpg');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: column;
}

.__image_nail_refund {

    width: 300px;
    border-radius: 4px;
    height: 300px;
    background-image: url('/assets/imgs/gallery_7.jpg');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}



.imgu {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}




.ima1 {
    background-image: url('/assets/imgs/gallery_1.jpg');
}

.ima2 {
    background-image: url('/assets/imgs/gallery_2.jpg');
}

.ima3 {
    background-image: url('/assets/imgs/gallery_5.jpg');
}

.ima4 {
    background-image: url('/assets/imgs/gallery_4.jpg');
}

.ima5 {
    background-image: url('/assets/imgs/gallery_9.jpg');
}

.ima6 {
    background-image: url('/assets/imgs/gallery_11.jpg');
}

.ima7 {
    background-image: url('/assets/imgs/gallery_12.jpg');
}
.ima8 {
    background-image: url('/assets/imgs/gallery_6.jpg');
}





.__mini_description_text {

    width: 80%;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.__mini_description_text p {
    text-align: justify;
    line-height: 33px;
    font-family: sans-serif;
    font-size: 18px;
    color: rgb(255, 255, 255);
}


.__fixed_section_content {
    position: fixed;
    background-color: rgba(0, 0, 0, 0.6);
    height: 100%;
    width: 100%;
    z-index: 10;
    display: none;
    align-items: center;
    justify-content: center;

}

.__center_image_content {
    width: 100%;
    height: 300px;
    background-image: url('/assets/imgs/gallery_7.jpg');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

}


.__container_menssager {
    width: 100%;
    height: 500px;
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;

}

.__mensagem_letter_content {

    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

}

.__imagem_for_friction {

    width: 100%;
    height: 600px;

    display: flex;
    align-items: center;
    justify-content: center;


    background-image: linear-gradient(to right, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.5)), url('/assets/imgs/img-1.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 62% 100%;
}



.__for_desen_for_friction {
    width: 100%;
    height: 600px;

    display: flex;
    align-items: center;
    justify-content: center;


    background-image: linear-gradient(to right, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.5)), url('/assets/imgs/img-2.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 62% 100%;
}


.__dating_image_dem_friction {
    width: 100%;
    height: 600px;

    display: flex;
    align-items: center;
    justify-content: center;


    background-image: linear-gradient(to right, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.5)), url('/assets/imgs/img-capa-3.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 62% 100%;
}









.__envolve_element_friction {

    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;

}

.__text_el_section {

    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;

    font-family: "Julius Sans One", sans-serif;
    font-weight: 400;
    font-style: normal;

    color: white;
    font-size: 30px;
}


.__description_el_section_friction {

    width: 80%;
    height: 300px;
    display: flex;
    align-items: center;
    justify-content: center;

}

.__description_el_section_friction p {
    color: white;
    font-size: 17px;
    font-weight: 300;
    font-family: sans-serif;
    line-height: 33px;
    text-align: justify;
}


.__desen_algiment_itens {
    height: 100%;

    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}


















.letter-image {
    user-select: none;
    text-decoration: none;

    z-index: 10000000000;
    width: 200px;
    height: 200px;

    background: transparent !important;
    /* Garante que o fundo não mude */
    outline: none;
    /* Remove a borda de foco (se existir) */
    user-select: none;
    /* Evita seleção acidental */

}

.animated-mail {
    position: absolute;
    height: 150px;
    will-change: transition, transform;
    width: 200px;
    transition: 0.4s;
}

.animated-mail .body {
    position: absolute;
    bottom: 0;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 0 100px 200px;
    border-color: transparent transparent #e95f55 transparent;
    will-change: transition, transform;
    z-index: 2;
}

.animated-mail .top-fold {
    position: absolute;
    top: 50px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 50px 100px 0 100px;
    transform-origin: 50% 0%;
    transition: transform 0.4s 0.4s, z-index 0.2s 0.4s;
    border-color: #cf4a43 transparent transparent transparent;
    will-change: transition, transform;
    z-index: 2;
}

.animated-mail .back-fold {
    position: absolute;
    bottom: 0;
    width: 200px;
    height: 100px;
    background: #cf4a43;
    z-index: 0;

}

.animated-mail .left-fold {
    position: absolute;
    bottom: 0;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 50px 0 50px 100px;
    border-color: transparent transparent transparent #e15349;
    z-index: 2;

}

.animated-mail .letter {
    left: 20px;
    bottom: 0px;
    position: absolute;
    width: 160px;
    height: 60px;
    background: white;
    z-index: 1;
    overflow: hidden;
    transition: 0.4s 0.2s, transform 0.4s 0.2s;
    transform-origin: bottom center;
    will-change: transition, transform;
}

.animated-mail .letter .letter-border {
    height: 10px;
    width: 100%;
    background: repeating-linear-gradient(-45deg, #cb5a5e, #cb5a5e 8px, transparent 8px, transparent 18px);

}

.animated-mail .letter .letter-title {
    margin-top: 10px;
    margin-left: 5px;
    height: 10px;
    width: 40%;
    background: #67cb5a;

}

.animated-mail .letter .letter-context {
    margin-top: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: auto;
    overflow: visible;

}

.animated-mail .letter .letter-stamp {
    margin-top: 30px;
    margin-left: 120px;
    height: 30px;
    width: 30px;
    will-change: opacity;
    opacity: 0.3;
}


.letter-image.open .animated-mail {
    transform: translateY(10px);
    will-change: transform;
}

.letter-image.open .animated-mail .top-fold {
    transition: transform 0.4s, z-index 0.2s;
    will-change: transition, transform;
    transform: rotateX(180deg);
    z-index: 0;

}

.letter-image.open .animated-mail .letter {
    width: 97%;
    position: absolute;
    top: 100px;
    left: 0;
    /* começa com 80dvh */
    height: 80dvh;
    /* permite crescer */
    visibility: visible;
    will-change: transition, transform;
    transform: translateY(100px) scale(2);
    z-index: 3;
    overflow: scroll !important;
    /* scroll só se passar do viewport */
}



.agradecimento-text-tile {
    font-family: "Vibur", cursive !important;
    font-optical-sizing: auto;
    font-size: 3rem;
    text-align: center;
    font-weight: normal;
    font-style: normal;
    width: 90vw;
}




.agradecimento-fonte {
    will-change: transition, transform, opacity;
    pointer-events: auto;
    width: 80%;
    height: 100%;
    max-width: 80%;

    display: none;

    scroll-behavior: smooth;
    /* Garante que o elemento pode rolar */
    scroll-snap-type: y proximity;
    /* Ajuda a criar um efeito mais suave */
    user-select: none;
    text-decoration: none;
    overflow: auto;
    /* ❌ nada de scroll aqui */
}

.agradecimento-fonte div {
    margin-top: 30px;
}

/* outro envelope Revisar */



.envelope-container {
    position: absolute;
    top: 80%;
    left: 50%;
    width: 200px;
    height: 200px;
    transform: translate(-50%, -50%);
    will-change: transform;
    cursor: pointer;

}

.mail-animation {
    position: absolute;
    height: 150px;
    width: 200px;
    transition: 0.4s;
}

.mail-animation .mail-body {
    position: absolute;
    bottom: 0;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 0 100px 200px;
    border-color: transparent transparent #A64208 transparent;
    z-index: 2;
}

.mail-animation .mail-top {
    position: absolute;
    top: 50px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 50px 100px 0 100px;
    transform-origin: 50% 0%;
    transition: transform 0.4s 0.4s, z-index 0.2s 0.4s;
    border-color: #F28E13 transparent transparent transparent;
    will-change: transform, opacity;
    z-index: 2;
}

.mail-animation .mail-back {
    position: absolute;
    bottom: 0;
    width: 200px;
    height: 100px;
    background: #F28E13;
    z-index: 0;

}

.mail-animation .mail-left {
    position: absolute;
    bottom: 0;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 50px 0 50px 100px;
    border-color: transparent transparent transparent #A64208;
    z-index: 2;

}

.mail-animation .letter-content {
    left: 20px;
    bottom: 0px;
    position: absolute;
    width: 160px;
    height: 60px;
    background: white;
    z-index: 1;
    overflow: hidden;
    transition: 0.4s 0.2s, transform 0.4s 0.2s;
    transform-origin: bottom center;
    will-change: transition;
}

.dark-mode .mail-animation .letter-content {
    left: 20px;
    bottom: 0px;
    position: absolute;
    width: 160px;
    height: 60px;
    background: white;
    z-index: 1;
    overflow: hidden;
    transition: 0.4s 0.2s, transform 0.4s 0.2s;
    transform-origin: bottom center;
    will-change: transition, transform;
}



.mail-animation .letter-content .letter-border {
    height: 10px;
    width: 100%;
    background: repeating-linear-gradient(-45deg, #ffc400, #ffc400 8px, transparent 8px, transparent 18px);

}

.mail-animation .letter-content .letter-title {
    margin-top: 10px;
    margin-left: 5px;
    height: 10px;
    width: 40%;
    background: #67cb5a;

}

.mail-animation .letter-content .letter-body {
    margin-top: 10px;
    height: 100%;
    width: 100%;

}

.mail-animation .letter-content .letter-stamp {
    margin-top: 30px;
    margin-left: 120px;
    height: 30px;
    width: 30px;

    opacity: 0.3;
}

.envelope-container.open .mail-animation {
    transform: translateY(10px);
    will-change: transition;

}

.envelope-container.open .mail-animation .mail-top {
    transition: transform 0.4s, z-index 0.2s;
    will-change: transition;
    transform: rotateX(180deg);
    z-index: 0;

}

.envelope-container.open .mail-animation .letter-content {
    height: 60vh;
    width: 100%;
    overflow-y: scroll !important;
    position: absolute !important;
    top: 0;
    left: 0;
    transform: translateY(100px) scale(2);
    z-index: 3;
    will-change: transition, scale;

}

.buttons_container_element_action {
    background: linear-gradient(90deg, #D99B66 0%, #D99B66 40%, #D99B66 100%);

    color: rgb(255, 255, 255);
    border: none;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 300;
    font-size: 15px;
    cursor: pointer;
    box-shadow: 0 4px 10px rgba(0, 140, 255, 0.25);
    transition: all 0.3s ease;
}


.buttons_container_element_action:active {
    transform: translateY(1px);
    box-shadow: 0 3px 6px rgba(0, 140, 255, 0.25);
}


.button_element_close_settings_cards {
    width: 20px;
    font-size: 10px;
    font-family: monospace;
    height: 20px;
    border-radius: 100%;
    position: absolute;
    top: 10px;
    right: 10px;
    color: black;
    font-weight: 900;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ffffff;
}


.__content_p_text_fonte p {


 
    line-height: 33px;
    color: black;
    text-align: justify;
    font-family: "Vibur", cursive;
    font-style: 600;
    font-size: 19px;
    font-weight: 300;

}

.__content_p_text_fonte {

    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}
















.__container_element_view_buy_pay {
    background-color: black;
    width: 100%;
    height: 80vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.__envolve_buy_pay_content {
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-evenly;
}

.__cover_pay_content_view {
    height: 300px;
    width: 300px;
    position: relative;
    right: 15px;
    background-image: url('/assets/imgs/complete.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
}

._p_content_view_buy {

    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
}

._p_content_view_buy p {
    width: 80%;
    text-align: justify;
    line-height: 33px;
    color: rgb(255, 255, 255);
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-weight: 300;

}


.__button_container_resgate {

    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.__resgar_popup_overlay {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 450px;
    height: 800px;
    z-index: 1000;
    display: none;
    align-items: center;
    justify-content: center;
}


.__envolve_overlay_input {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: rgb(0, 0, 0);
    justify-content: space-evenly;

}

.__cover_element_capa_overlay {
    height: 200px;
    width: 200px;
    transform: scale(1.2);
    position: relative;
    right: 15px;
    background-image: url('/assets/imgs/complete.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
}


.__container_for_inputs_elements_overlay {

    width: 85%;
    height: 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}


.__button_element_env_resagte {

    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 60px;
}



.error_styled {
    font-size: 16px;
    color: red;
    font-family: 'Times New Roman', Times, serif;
}







.__form_container {
    width: 100%;
    height: 100%;
    max-width: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    gap: 18px;
    margin: auto;
}

.__input_group {
    width: 100%;
    height: 65px;
    position: relative;
}

.__input_group input {
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    border-radius: 18px;
    padding: 0px 22px;
    font-size: 16px;
    background: rgba(255, 255, 255, 0.06);
    backdrop-filter: blur(10px);
    color: white;
    border: 1px solid rgba(255, 255, 255, 0.08);
    transition: 0.3s ease;
    box-sizing: border-box;
}

.__input_group input::placeholder {
    color: rgba(255, 255, 255, 0.55);
}

.__input_group input:focus {
    border: 1px solid #82ff2e;
    box-shadow: 0px 0px 20px rgba(112, 255, 46, 0.35);
    transform: translateY(-2px);
}




.gift_presente_button_env {
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(45deg, #59040C, #260101);
    color: white;
    font-family: 'Arial', sans-serif;
    border: none;
    width: 300px;
    font-size: 18px;
    font-weight: bold;
    height: 70px;
    border-radius: 30px;
    text-align: center;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2);
    transition: background 0.3s ease, transform 0.2s ease;
    cursor: pointer;
}


.gift_presente_button_env:hover {
    background: linear-gradient(45deg, #b85146, #ee9d8a);
    /* Cor levemente mais escura no hover */
    transform: scale(1.05);
    /* Pequeno aumento ao passar o mouse */
}

.gift_presente_button_env:active {
    transform: scale(0.98);
    /* Reduz o tamanho levemente ao ser clicado */
    box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.2);
    /* Sombra menos pronunciada ao clicar */
}


.__text_content_warn {

    width: 100%;
    height: 30px;
    display: flex;
    color: rgb(187, 187, 187);
    align-items: center;
    justify-content: center;
}


.__p_inv_div {
    width: 100%;
    height: 300px;

}


.__overlay_popstate_motion {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.849);
    inset: 0;
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 99;
}


.__envolve_popstate_stage {
    width: 380px;
    height: 670px;
    z-index: 99;
    position: relative;
    background-color: white;
    animation: __animation_popstate_history 1s ease-in-out;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    box-shadow:
        0 10px 30px rgba(255, 255, 255, 0.589),
        0 2px 8px rgba(255, 255, 255, 0.04);
}


@keyframes __animation_popstate_history {
    0% {
        transform: scale(0.8);

    }

    70% {
        transform: scale(1.1);
    }

    86% {
        transform: calc(1.3);
    }

    90% {
        transform: scale(0.8);
    }

    100% {
        transform: scale(1);
    }
}

.__icon_view_stage_mockup {
    background-image: url('/assets/imgs/complete.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    position: relative;
    right: 15px;
    transform: scale(1.1);
    width: 250px;
    height: 250px;
}


._c_container_env_popstate {

    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.__input_box {
    width: 100%;
    height: 48px;
}


.__input_box input {
    width: 100%;
    height: 100%;

    border: none;
    outline: none;
    border-radius: 7px;

    background: #ffffff;

    border: 1px solid #c0bfbf;

    color: #000000;

    font-size: 17px;

    transition: 0.25s ease;
    padding: 0 10px;
}

.__input_box input::placeholder {
    color: #6f6f6f;
}

.__input_box input:focus {
    border-color: #96969625;

    background: #e4e3e3;

    transform: translateY(-1px);
}

.__envolve_form_ {

    width: 80%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
}


.__mini_description_p {

    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;

}

.__mini_description_p p {
    width: 70%;
    list-style: none;
    line-height: 33px;
    font-size: 16px;
    text-align: justify;



    font-family: "Cormorant Garamond", serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;

}


.btn-hover {
    background: #450a0a;
    color: #f87171;

    border: 1px solid #f87171;
    border-bottom: 4px solid #f87171;

    padding: 10px 16px;
    border-radius: 8px;

    font-size: 15px;
    font-weight: 500;

    cursor: pointer;
    position: relative;
    overflow: hidden;

    transition: 0.3s ease;
}

/* efeito hover */
.btn-hover:hover {
    filter: brightness(1.5);
    border-top: 4px solid #f87171;
    border-bottom: 1px solid #f87171;
}

/* efeito clique */
.btn-hover:active {
    opacity: 0.75;
}

/* linha brilhante */
.btn-line {
    position: absolute;
    top: -150%;
    left: 0;

    width: 320px;
    height: 5px;

    background: #f87171;
    border-radius: 999px;

    opacity: 0.5;

    box-shadow: 0 0 10px 10px rgba(0, 0, 0, 0.3);

    transition: 0.5s ease;
}

/* animação da linha */
.btn-hover:hover .btn-line {
    top: 150%;
}


* {
    -webkit-tap-highlight-color: transparent;
}



.__error_popstate_inputs_overlay {
    position: absolute;
    left: 50%;
    top: 50%;
    height: 200px;
    display: none;
    width: 300px;
    transform: translate(-50%, -50%);
    z-index: 999;
}


.__overlay_enve_status_ok {
    position: absolute;
    left: 50%;
    top: 50%;
    height: 200px;
    display: none;
    width: 300px;
    transform: translate(-50%, -50%);
    z-index: 999;
}



.envolve_status_ok {
    width: 100%;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: center;
}


.env_status_ok_content {
    opacity: 0;
    padding: 20px;
    border-radius: 5px;
    color: rgb(54, 212, 54);
    background-color: rgba(26, 26, 26, 0.87);
    animation: envStatusAnimation 2.6s ease forwards;
}



@keyframes envStatusAnimation {

    /* surge */
    0% {
        opacity: 0;
        transform: translateY(20px);
    }

    15% {
        opacity: 1;
        transform: translateY(0px);
    }

    /* fica parado */
    75% {
        opacity: 1;
        transform: translateY(0px);
    }

    /* sobe e some */
    100% {
        opacity: 0;
        transform: translateY(-25px);
    }
}

.__envolve_popstate_error {
    width: 100%;
    height: 100%;
    background-color: white;
    box-shadow:
        0 1px 2px rgba(0, 0, 0, 0.04),
        0 8px 24px rgba(0, 0, 0, 0.05),
        0 20px 48px rgba(0, 0, 0, 0.06);
    border-radius: 5px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;


    animation: animation_error_state 1s ease-in-out;
}

@keyframes animation_error_state {

    0% {
        transform: translateY(165px);
    }

    70% {
        transform: translateY(0px);
    }

    78% {
        transform: translateY(0px) translateX(-4px);
    }

    84% {
        transform: translateY(0px) translateX(4px);
    }

    90% {
        transform: translateY(0px) translateX(-19px);
    }

    96% {
        transform: translateY(0px) translateX(19px);
    }

    100% {
        transform: translateY(0px) translateX(0px);
    }
}

.__c_container_button {

    width: 100%;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.__button_action_ {
    background-color: red;
    width: 70px;
    height: 40px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 16px;
    font-family: sans-serif;
    text-align: center;
}